Bug 19953 - Не работает gnome-power-manager
: Не работает gnome-power-manager
Status: CLOSED FIXED
: Branch 5.0
(All bugs in Branch 5.0/gnome-power-manager)
: unspecified
: all Linux
: P3 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-05-07 10:34 by
Modified: 2009-05-12 20:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-05-07 10:34:41
После обновления (куммулятивное вместе с gnome 2.26.1, за неделю) перестал
работать gnome-power-manager. Ни переустановка, ни пересборка для branch 5.0 не
помогла. При первом запуске (до перезагрузки) после переустановки выводит
следующую ошибку:

*** ERROR ***
TI:21:02:11    TH:0x808a818    FI:gpm-manager.c    FN:gpm_manager_init,1599
- no gconf schema installed!
Traceback:
  gnome-power-manager [0x804da7b]
  gnome-power-manager [0x805ef82]
  /usr/lib/libgobject-2.0.so.0(g_type_create_instance+0x445) [0xb793bc45]
  /usr/lib/libgobject-2.0.so.0 [0xb79201c5]
  /usr/lib/libgobject-2.0.so.0(g_object_newv+0x37b) [0xb79209fb]
  /usr/lib/libgobject-2.0.so.0(g_object_new_valist+0x2b7) [0xb79215c7]
  /usr/lib/libgobject-2.0.so.0(g_object_new+0x6e) [0xb792173e]
  gnome-power-manager [0x805dc6c]
  gnome-power-manager [0x805d3fe]
  /lib/libc.so.6(__libc_start_main+0xe5) [0xb76c9925]
  gnome-power-manager [0x804d361]

После перезагрузки запускается, однако - не работает. Дисплей монитора гаснет
через 1 минуту какая бы настройка не стояла в параметрах энергосбережения.
Ползунки настроек энергосбережения устанавливаются только в максимальное и
минимальное значения.
------- Comment #1 From 2009-05-07 22:11:01 -------
У меня не подтверждается. Но очень похоже на то, что не отработал %post-скрипт.
Фиксится явным вызовом /usr/sbin/gconf_install_schema
gnome-power-manager.schemas, но хотелось бы понять, как такое случилось.
Обновление прошло без ошибок?
------- Comment #2 From 2009-05-08 10:31:44 -------
Обновление прошло без каких либо проблем.

Увы данная команда не помогла. Оказалось, нужно удалить старые настройки (всю
папку .gconf пришлось удалить), и настроить заново, тогда gnome-power-manager
работает. Только работает крайне криво:

При установке параметров выключения дисплея (запуск хранителя экрана установлен
в 30 мин.) получил следующие результаты:

Минимальное значение (т.е через 31 минуту) - дисплей выключается через 1.30
сек.
Максимальное значение (т.е никогда) - дисплей выключается через 30 секунд....
1ч - дисплей выключается на через минуту после включения скринсейвера (31-вая
минута).
------- Comment #3 From 2009-05-12 12:45:10 -------
Проблема подтвердилась у одного из партнёров, устанавливались из образа от 4
мая. Картинка очень похожая на описанное в #2
------- Comment #4 From 2009-05-12 20:27:12 -------
gnome-power-manager-2.26.1-alt2 -> sisyphus:

* Tue May 12 2009 Yuri N. Sedunov <aris@altlinux> 2.26.1-alt2

- build current git
- potentially fixed (ALT#19953)